Webhooks
List webhook deliveries
Every delivery to this endpoint, newest first, with the outcome of its latest attempt.
GET
/
webhook_endpoints
/
{uuid}
/
deliveries
List webhook deliveries
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"deliveries": [
{
"uuid": "<string>",
"event_id": "<string>",
"event_type": "<string>",
"status": "pending",
"attempts": 123,
"response_status": 123,
"error": "<string>",
"last_attempted_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}
Authorizations
App ID for authentication
API Key for authentication
Path Parameters
⌘I
List webhook deliveries
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/webhook_endpoints/{uuid}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"deliveries": [
{
"uuid": "<string>",
"event_id": "<string>",
"event_type": "<string>",
"status": "pending",
"attempts": 123,
"response_status": 123,
"error": "<string>",
"last_attempted_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}